WebLogicServer (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.j2ee.weblogic.WebLogicServer interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.j2ee.weblogic
Interface WebLogicServer

All Superinterfaces:
  AppServer, ConfigurationItem, J2EEServer, LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable

All Known Subinterfaces:
  WebLogicAdminServer

    public interface WebLogicServer

extends J2EEServer

A WebLogic Server

Persistable:
  true
Top Level:
  true

Field Summary

Fields inherited from interface com.collation.platform.model.topology.app.AppServer
`IBM_COPYRIGHT, RUNNING, STOPPED`

Method Summary
`BindAddress` | `getAdminBindAddress()`
`BindAddress` | `getBindAddress()`
`WebLogicCluster` | `getCluster()`
`int` | `getClusterWeight()`
`int` | `getCompleteHTTPMessageTimeout()`
`int` | `getCompleteIIOPMessageTimeout()`
`int` | `getCompleteT3MessageTimeout()`
`java.lang.String` | `getDefaultIIOPPassword()`
`java.lang.String` | `getDefaultIIOPUser()`
`java.lang.String` | `getDefaultProtocol()`
`java.lang.String` | `getDefaultSecureProtocol()`
`java.lang.String` | `getDefaultTGIOPPassword()`
`java.lang.String` | `getDefaultTGIOPUser()`
`boolean` | `getDomainLogEnabled()`
`WebLogicEJBContainer` | `getEJBContainer()`
`boolean` | `getExpectedToRun()`
`java.lang.String` | `getExternalDNSName()`
`java.lang.String` | `getExtraRmicOptions()`
`java.lang.String` | `getHelpPageURL()`
`boolean` | `getHTTPDEnabled()`
`int` | `getIdleIIOPConnectionTimeout()`
`boolean` | `getIIOPEnabled()`
`boolean` | `getInstrumentStackTraceEnabled()`
`java.lang.String` | `getInterfaceAddress()`
`boolean` | `getJ2EE12OnlyModeEnabled()`
`boolean` | `getJ2EE13WarningEnabled()`
`java.lang.String` | `getJavaCompiler()`
`java.lang.String` | `getJavaCompilerPostClassPath()`
`java.lang.String` | `getJavaCompilerPreClassPath()`
`java.lang.String` | `getJDBCLogFileName()`
`boolean` | `getJDBCLoggingEnabled()`
`boolean` | `getJMSDefaultConnectionFactoriesEnabled()`
`int` | `getListenDelaySecs()`
`int` | `getListenThreadStartDelaySecs()`
`int` | `getLoginTimeout()`
`int` | `getLoginTimeoutMillis()`
`boolean` | `getLogRemoteExceptionsEnabled()`
`WebLogicMachine` | `getMachine()`
`int` | `getMaxHTTPMessageSize()`
`int` | `getMaxIIOPMessageSize()`
`int` | `getMaxT3MessageSize()`
`boolean` | `getNativeIOEnabled()`
`java.lang.String` | `getPreferredSecondaryGroup()`
`java.lang.String` | `getReplicationGroup()`
`boolean` | `getReverseDNSAllowed()`
`java.lang.String` | `getRootDirectory()`
`WebLogicSSLSettings` | `getSSL()`
`boolean` | `getStdoutDebugEnabled()`
`boolean` | `getStdoutEnabled()`
`int` | `getStdoutSeverityLevel()`
`boolean` | `getTGIOPEnabled()`
`int` | `getThreadPoolPercentSocketReaders()`
`int` | `getTunnelingClientPingSecs()`
`int` | `getTunnelingClientTimeoutSecs()`
`boolean` | `getTunnelingEnabled()`
`java.lang.String` | `getTxLogFilePrefix()`
`AppProtocol[]` | `getValidProtocols()`
`boolean` | `getVerboseEJBDeploymentEnabled()`
`WebLogicWebContainer` | `getWebContainer()`
`boolean` | `getWorkspaceShowUserKeysOnly()`
`boolean` | `getZACEnabled()`
`java.lang.String` | `getZACPublishRoot()`
`boolean` | `hasAdminBindAddress()`
`boolean` | `hasBindAddress()`
`boolean` | `hasCluster()`
`boolean` | `hasClusterWeight()`
`boolean` | `hasCompleteHTTPMessageTimeout()`
`boolean` | `hasCompleteIIOPMessageTimeout()`
`boolean` | `hasCompleteT3MessageTimeout()`
`boolean` | `hasDefaultIIOPPassword()`
`boolean` | `hasDefaultIIOPUser()`
`boolean` | `hasDefaultProtocol()`
`boolean` | `hasDefaultSecureProtocol()`
`boolean` | `hasDefaultTGIOPPassword()`
`boolean` | `hasDefaultTGIOPUser()`
`boolean` | `hasDomainLogEnabled()`
`boolean` | `hasEJBContainer()`
`boolean` | `hasExpectedToRun()`
`boolean` | `hasExternalDNSName()`
`boolean` | `hasExtraRmicOptions()`
`boolean` | `hasHelpPageURL()`
`boolean` | `hasHTTPDEnabled()`
`boolean` | `hasIdleIIOPConnectionTimeout()`
`boolean` | `hasIIOPEnabled()`
`boolean` | `hasInstrumentStackTraceEnabled()`
`boolean` | `hasInterfaceAddress()`
`boolean` | `hasJ2EE12OnlyModeEnabled()`
`boolean` | `hasJ2EE13WarningEnabled()`
`boolean` | `hasJavaCompiler()`
`boolean` | `hasJavaCompilerPostClassPath()`
`boolean` | `hasJavaCompilerPreClassPath()`
`boolean` | `hasJDBCLogFileName()`
`boolean` | `hasJDBCLoggingEnabled()`
`boolean` | `hasJMSDefaultConnectionFactoriesEnabled()`
`boolean` | `hasListenDelaySecs()`
`boolean` | `hasListenThreadStartDelaySecs()`
`boolean` | `hasLoginTimeout()`
`boolean` | `hasLoginTimeoutMillis()`
`boolean` | `hasLogRemoteExceptionsEnabled()`
`boolean` | `hasMachine()`
`boolean` | `hasMaxHTTPMessageSize()`
`boolean` | `hasMaxIIOPMessageSize()`
`boolean` | `hasMaxT3MessageSize()`
`boolean` | `hasNativeIOEnabled()`
`boolean` | `hasPreferredSecondaryGroup()`
`boolean` | `hasReplicationGroup()`
`boolean` | `hasReverseDNSAllowed()`
`boolean` | `hasRootDirectory()`
`boolean` | `hasSSL()`
`boolean` | `hasStdoutDebugEnabled()`
`boolean` | `hasStdoutEnabled()`
`boolean` | `hasStdoutSeverityLevel()`
`boolean` | `hasTGIOPEnabled()`
`boolean` | `hasThreadPoolPercentSocketReaders()`
`boolean` | `hasTunnelingClientPingSecs()`
`boolean` | `hasTunnelingClientTimeoutSecs()`
`boolean` | `hasTunnelingEnabled()`
`boolean` | `hasTxLogFilePrefix()`
`boolean` | `hasValidProtocols()`
`boolean` | `hasVerboseEJBDeploymentEnabled()`
`boolean` | `hasWebContainer()`
`boolean` | `hasWorkspaceShowUserKeysOnly()`
`boolean` | `hasZACEnabled()`
`boolean` | `hasZACPublishRoot()`
`void` | `setAdminBindAddress(BindAddress ba)`
`void` | `setBindAddress(BindAddress ba)`
`void` | `setCluster(WebLogicCluster cluster)`
`void` | `setClusterWeight(int i)`
`void` | `setCompleteHTTPMessageTimeout(int i)`
`void` | `setCompleteIIOPMessageTimeout(int i)`
`void` | `setCompleteT3MessageTimeout(int i)`
`void` | `setDefaultIIOPPassword(java.lang.String s)`
`void` | `setDefaultIIOPUser(java.lang.String s)`
`void` | `setDefaultProtocol(java.lang.String s)`
`void` | `setDefaultSecureProtocol(java.lang.String s)`
`void` | `setDefaultTGIOPPassword(java.lang.String s)`
`void` | `setDefaultTGIOPUser(java.lang.String s)`
`void` | `setDomainLogEnabled(boolean b)`
`void` | `setEJBContainer(WebLogicEJBContainer container)`
`void` | `setExpectedToRun(boolean b)`
`void` | `setExternalDNSName(java.lang.String s)`
`void` | `setExtraRmicOptions(java.lang.String s)`
`void` | `setHelpPageURL(java.lang.String s)`
`void` | `setHTTPDEnabled(boolean b)`
`void` | `setIdleIIOPConnectionTimeout(int i)`
`void` | `setIIOPEnabled(boolean b)`
`void` | `setInstrumentStackTraceEnabled(boolean b)`
`void` | `setInterfaceAddress(java.lang.String s)`
`void` | `setJ2EE12OnlyModeEnabled(boolean b)`
`void` | `setJ2EE13WarningEnabled(boolean b)`
`void` | `setJavaCompiler(java.lang.String s)`
`void` | `setJavaCompilerPostClassPath(java.lang.String s)`
`void` | `setJavaCompilerPreClassPath(java.lang.String s)`
`void` | `setJDBCLogFileName(java.lang.String s)`
`void` | `setJDBCLoggingEnabled(boolean b)`
`void` | `setJMSDefaultConnectionFactoriesEnabled(boolean b)`
`void` | `setListenDelaySecs(int i)`
`void` | `setListenThreadStartDelaySecs(int i)`
`void` | `setLoginTimeout(int i)`
`void` | `setLoginTimeoutMillis(int i)`
`void` | `setLogRemoteExceptionsEnabled(boolean b)`
`void` | `setMachine(WebLogicMachine machine)`
`void` | `setMaxHTTPMessageSize(int i)`
`void` | `setMaxIIOPMessageSize(int i)`
`void` | `setMaxT3MessageSize(int i)`
`void` | `setNativeIOEnabled(boolean b)`
`void` | `setPreferredSecondaryGroup(java.lang.String s)`
`void` | `setReplicationGroup(java.lang.String s)`
`void` | `setReverseDNSAllowed(boolean b)`
`void` | `setRootDirectory(java.lang.String s)`
`void` | `setSSL(WebLogicSSLSettings ssl)`
`void` | `setStdoutDebugEnabled(boolean b)`
`void` | `setStdoutEnabled(boolean b)`
`void` | `setStdoutSeverityLevel(int i)`
`void` | `setTGIOPEnabled(boolean b)`
`void` | `setThreadPoolPercentSocketReaders(int i)`
`void` | `setTunnelingClientPingSecs(int i)`
`void` | `setTunnelingClientTimeoutSecs(int i)`
`void` | `setTunnelingEnabled(boolean b)`
`void` | `setTxLogFilePrefix(java.lang.String s)`
`void` | `setValidProtocols(AppProtocol[] protocols)`
`void` | `setVerboseEJBDeploymentEnabled(boolean b)`
`void` | `setWebContainer(WebLogicWebContainer container)`
`void` | `setWorkspaceShowUserKeysOnly(boolean b)`
`void` | `setZACEnabled(boolean b)`
`void` | `setZACPublishRoot(java.lang.String s)`

Methods inherited from interface com.collation.platform.model.topology.app.j2ee.J2EEServer
`getDeployedObjectsRaw, getParent, hasDeployedObjectsRaw, hasParent, setDeployedObjectsRaw, setParent`

Methods inherited from interface com.collation.platform.model.topology.app.AppServer
`getAppDescriptors, getConfigContents, getConfigFile, getContainers, getExecutable, getExecutableName, getHost, getKeyName, getModules, getName, getPrimarySAP, getProcessPools, getProductName, getProductVersion, getResources, getSoftwareInstallation, getStatus, getVendorName, getZReportFiles, hasAppDescriptors, hasConfigContents, hasConfigFile, hasContainers, hasExecutable, hasExecutableName, hasHost, hasKeyName, hasModules, hasName, hasPrimarySAP, hasProcessPools, hasProductName, hasProductVersion, hasResources, hasSoftwareInstallation, hasStatus, hasVendorName, hasZReportFiles, setAppDescriptors, setConfigContents, setConfigFile, setContainers, setExecutable, setExecutableName, setHost, setKeyName, setModules, setName, setPrimarySAP, setProcessPools, setProductName, setProductVersion, setResources, setSoftwareInstallation, setStatus, setVendorName, setZReportFiles`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Methods inherited from interface com.collation.platform.model.topology.process.itil.ConfigurationItem
`getAssetID, getAssetTag, getCICategory, getConfigLastUpdate, getLastAuditState, getLastAuditTime, getLastLifecycleStateTime, getLifecycleState, getPrimaryOwner, hasAssetID, hasAssetTag, hasCICategory, hasConfigLastUpdate, hasLastAuditState, hasLastAuditTime, hasLastLifecycleStateTime, hasLifecycleState, hasPrimaryOwner, setAssetID, setAssetTag, setCICategory, setConfigLastUpdate, setLastAuditState, setLastAuditTime, setLastLifecycleStateTime, setLifecycleState, setPrimaryOwner`

Method Detail

### getMachine

    WebLogicMachine getMachine()
                               throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.RunsOn" reverse="false"

### setMachine

    void setMachine(WebLogicMachine machine)

### hasMachine

    boolean hasMachine()

### getCluster

    WebLogicCluster getCluster()
                               throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Federates" reverse="true"

### setCluster

    void setCluster(WebLogicCluster cluster)

### hasCluster

    boolean hasCluster()

### getWebContainer

    WebLogicWebContainer getWebContainer()
                                         throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="false"

### setWebContainer

    void setWebContainer(WebLogicWebContainer container)

### hasWebContainer

    boolean hasWebContainer()

### getEJBContainer

    WebLogicEJBContainer getEJBContainer()
                                         throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="false"

### setEJBContainer

    void setEJBContainer(WebLogicEJBContainer container)

### hasEJBContainer

    boolean hasEJBContainer()

### getCompleteHTTPMessageTimeout

    int getCompleteHTTPMessageTimeout()
                                      throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setCompleteHTTPMessageTimeout

    void setCompleteHTTPMessageTimeout(int i)

### hasCompleteHTTPMessageTimeout

    boolean hasCompleteHTTPMessageTimeout()

### getCompleteIIOPMessageTimeout

    int getCompleteIIOPMessageTimeout()
                                      throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setCompleteIIOPMessageTimeout

    void setCompleteIIOPMessageTimeout(int i)

### hasCompleteIIOPMessageTimeout

    boolean hasCompleteIIOPMessageTimeout()

### getCompleteT3MessageTimeout

    int getCompleteT3MessageTimeout()
                                    throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setCompleteT3MessageTimeout

    void setCompleteT3MessageTimeout(int i)

### hasCompleteT3MessageTimeout

    boolean hasCompleteT3MessageTimeout()

### getDefaultProtocol

    java.lang.String getDefaultProtocol()
                                        throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setDefaultProtocol

    void setDefaultProtocol(java.lang.String s)

### hasDefaultProtocol

    boolean hasDefaultProtocol()

### getDefaultSecureProtocol

    java.lang.String getDefaultSecureProtocol()
                                              throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setDefaultSecureProtocol

    void setDefaultSecureProtocol(java.lang.String s)

### hasDefaultSecureProtocol

    boolean hasDefaultSecureProtocol()

### getIdleIIOPConnectionTimeout

    int getIdleIIOPConnectionTimeout()
                                     throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setIdleIIOPConnectionTimeout

    void setIdleIIOPConnectionTimeout(int i)

### hasIdleIIOPConnectionTimeout

    boolean hasIdleIIOPConnectionTimeout()

### getMaxHTTPMessageSize

    int getMaxHTTPMessageSize()
                              throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setMaxHTTPMessageSize

    void setMaxHTTPMessageSize(int i)

### hasMaxHTTPMessageSize

    boolean hasMaxHTTPMessageSize()

### getMaxIIOPMessageSize

    int getMaxIIOPMessageSize()
                              throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setMaxIIOPMessageSize

    void setMaxIIOPMessageSize(int i)

### hasMaxIIOPMessageSize

    boolean hasMaxIIOPMessageSize()

### getMaxT3MessageSize

    int getMaxT3MessageSize()
                            throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setMaxT3MessageSize

    void setMaxT3MessageSize(int i)

### hasMaxT3MessageSize

    boolean hasMaxT3MessageSize()

### getSSL

    WebLogicSSLSettings getSSL()
                               throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.ConfiguredUsing" reverse="false"
  Containment Relationship:
    true

### setSSL

    void setSSL(WebLogicSSLSettings ssl)

### hasSSL

    boolean hasSSL()

### getStdoutSeverityLevel

    int getStdoutSeverityLevel()
                               throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setStdoutSeverityLevel

    void setStdoutSeverityLevel(int i)

### hasStdoutSeverityLevel

    boolean hasStdoutSeverityLevel()

### getThreadPoolPercentSocketReaders

    int getThreadPoolPercentSocketReaders()
                                          throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setThreadPoolPercentSocketReaders

    void setThreadPoolPercentSocketReaders(int i)

### hasThreadPoolPercentSocketReaders

    boolean hasThreadPoolPercentSocketReaders()

### getValidProtocols

    AppProtocol[] getValidProtocols()
                                    throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.ConfiguredUsing" reverse="false"

### setValidProtocols

    void setValidProtocols(AppProtocol[] protocols)

### hasValidProtocols

    boolean hasValidProtocols()

### getInstrumentStackTraceEnabled

    boolean getInstrumentStackTraceEnabled()
                                           throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setInstrumentStackTraceEnabled

    void setInstrumentStackTraceEnabled(boolean b)

### hasInstrumentStackTraceEnabled

    boolean hasInstrumentStackTraceEnabled()

### getLogRemoteExceptionsEnabled

    boolean getLogRemoteExceptionsEnabled()
                                          throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setLogRemoteExceptionsEnabled

    void setLogRemoteExceptionsEnabled(boolean b)

### hasLogRemoteExceptionsEnabled

    boolean hasLogRemoteExceptionsEnabled()

### getNativeIOEnabled

    boolean getNativeIOEnabled()
                               throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setNativeIOEnabled

    void setNativeIOEnabled(boolean b)

### hasNativeIOEnabled

    boolean hasNativeIOEnabled()

### getReverseDNSAllowed

    boolean getReverseDNSAllowed()
                                 throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setReverseDNSAllowed

    void setReverseDNSAllowed(boolean b)

### hasReverseDNSAllowed

    boolean hasReverseDNSAllowed()

### getStdoutDebugEnabled

    boolean getStdoutDebugEnabled()
                                  throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setStdoutDebugEnabled

    void setStdoutDebugEnabled(boolean b)

### hasStdoutDebugEnabled

    boolean hasStdoutDebugEnabled()

### getStdoutEnabled

    boolean getStdoutEnabled()
                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setStdoutEnabled

    void setStdoutEnabled(boolean b)

### hasStdoutEnabled

    boolean hasStdoutEnabled()

### getAdminBindAddress

    BindAddress getAdminBindAddress()
                                    throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.ManagedVia" reverse="false"

### setAdminBindAddress

    void setAdminBindAddress(BindAddress ba)

### hasAdminBindAddress

    boolean hasAdminBindAddress()

### getClusterWeight

    int getClusterWeight()
                         throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setClusterWeight

    void setClusterWeight(int i)

### hasClusterWeight

    boolean hasClusterWeight()

### getDefaultIIOPPassword

    java.lang.String getDefaultIIOPPassword()
                                            throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setDefaultIIOPPassword

    void setDefaultIIOPPassword(java.lang.String s)

### hasDefaultIIOPPassword

    boolean hasDefaultIIOPPassword()

### getDefaultIIOPUser

    java.lang.String getDefaultIIOPUser()
                                        throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setDefaultIIOPUser

    void setDefaultIIOPUser(java.lang.String s)

### hasDefaultIIOPUser

    boolean hasDefaultIIOPUser()

### getDefaultTGIOPPassword

    java.lang.String getDefaultTGIOPPassword()
                                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setDefaultTGIOPPassword

    void setDefaultTGIOPPassword(java.lang.String s)

### hasDefaultTGIOPPassword

    boolean hasDefaultTGIOPPassword()

### getDefaultTGIOPUser

    java.lang.String getDefaultTGIOPUser()
                                         throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setDefaultTGIOPUser

    void setDefaultTGIOPUser(java.lang.String s)

### hasDefaultTGIOPUser

    boolean hasDefaultTGIOPUser()

### getExpectedToRun

    boolean getExpectedToRun()
                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setExpectedToRun

    void setExpectedToRun(boolean b)

### hasExpectedToRun

    boolean hasExpectedToRun()

### getExternalDNSName

    java.lang.String getExternalDNSName()
                                        throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setExternalDNSName

    void setExternalDNSName(java.lang.String s)

### hasExternalDNSName

    boolean hasExternalDNSName()

### getExtraRmicOptions

    java.lang.String getExtraRmicOptions()
                                         throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setExtraRmicOptions

    void setExtraRmicOptions(java.lang.String s)

### hasExtraRmicOptions

    boolean hasExtraRmicOptions()

### getHelpPageURL

    java.lang.String getHelpPageURL()
                                    throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setHelpPageURL

    void setHelpPageURL(java.lang.String s)

### hasHelpPageURL

    boolean hasHelpPageURL()

### getInterfaceAddress

    java.lang.String getInterfaceAddress()
                                         throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setInterfaceAddress

    void setInterfaceAddress(java.lang.String s)

### hasInterfaceAddress

    boolean hasInterfaceAddress()

### getJavaCompiler

    java.lang.String getJavaCompiler()
                                     throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setJavaCompiler

    void setJavaCompiler(java.lang.String s)

### hasJavaCompiler

    boolean hasJavaCompiler()

### getJavaCompilerPostClassPath

    java.lang.String getJavaCompilerPostClassPath()
                                                  throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setJavaCompilerPostClassPath

    void setJavaCompilerPostClassPath(java.lang.String s)

### hasJavaCompilerPostClassPath

    boolean hasJavaCompilerPostClassPath()

### getJavaCompilerPreClassPath

    java.lang.String getJavaCompilerPreClassPath()
                                                 throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setJavaCompilerPreClassPath

    void setJavaCompilerPreClassPath(java.lang.String s)

### hasJavaCompilerPreClassPath

    boolean hasJavaCompilerPreClassPath()

### getJDBCLogFileName

    java.lang.String getJDBCLogFileName()
                                        throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setJDBCLogFileName

    void setJDBCLogFileName(java.lang.String s)

### hasJDBCLogFileName

    boolean hasJDBCLogFileName()

### getBindAddress

    BindAddress getBindAddress()
                               throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.AccessedVia" reverse="false"

### setBindAddress

    void setBindAddress(BindAddress ba)

### hasBindAddress

    boolean hasBindAddress()

### getListenDelaySecs

    int getListenDelaySecs()
                           throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setListenDelaySecs

    void setListenDelaySecs(int i)

### hasListenDelaySecs

    boolean hasListenDelaySecs()

### getListenThreadStartDelaySecs

    int getListenThreadStartDelaySecs()
                                      throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setListenThreadStartDelaySecs

    void setListenThreadStartDelaySecs(int i)

### hasListenThreadStartDelaySecs

    boolean hasListenThreadStartDelaySecs()

### getLoginTimeout

    int getLoginTimeout()
                        throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setLoginTimeout

    void setLoginTimeout(int i)

### hasLoginTimeout

    boolean hasLoginTimeout()

### getLoginTimeoutMillis

    int getLoginTimeoutMillis()
                              throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setLoginTimeoutMillis

    void setLoginTimeoutMillis(int i)

### hasLoginTimeoutMillis

    boolean hasLoginTimeoutMillis()

### getPreferredSecondaryGroup

    java.lang.String getPreferredSecondaryGroup()
                                                throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setPreferredSecondaryGroup

    void setPreferredSecondaryGroup(java.lang.String s)

### hasPreferredSecondaryGroup

    boolean hasPreferredSecondaryGroup()

### getReplicationGroup

    java.lang.String getReplicationGroup()
                                         throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setReplicationGroup

    void setReplicationGroup(java.lang.String s)

### hasReplicationGroup

    boolean hasReplicationGroup()

### getRootDirectory

    java.lang.String getRootDirectory()
                                      throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setRootDirectory

    void setRootDirectory(java.lang.String s)

### hasRootDirectory

    boolean hasRootDirectory()

### getTxLogFilePrefix

    java.lang.String getTxLogFilePrefix()
                                        throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setTxLogFilePrefix

    void setTxLogFilePrefix(java.lang.String s)

### hasTxLogFilePrefix

    boolean hasTxLogFilePrefix()

### getTunnelingClientPingSecs

    int getTunnelingClientPingSecs()
                                   throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setTunnelingClientPingSecs

    void setTunnelingClientPingSecs(int i)

### hasTunnelingClientPingSecs

    boolean hasTunnelingClientPingSecs()

### getTunnelingClientTimeoutSecs

    int getTunnelingClientTimeoutSecs()
                                      throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setTunnelingClientTimeoutSecs

    void setTunnelingClientTimeoutSecs(int i)

### hasTunnelingClientTimeoutSecs

    boolean hasTunnelingClientTimeoutSecs()

### getVerboseEJBDeploymentEnabled

    boolean getVerboseEJBDeploymentEnabled()
                                           throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setVerboseEJBDeploymentEnabled

    void setVerboseEJBDeploymentEnabled(boolean b)

### hasVerboseEJBDeploymentEnabled

    boolean hasVerboseEJBDeploymentEnabled()

### getWorkspaceShowUserKeysOnly

    boolean getWorkspaceShowUserKeysOnly()
                                         throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setWorkspaceShowUserKeysOnly

    void setWorkspaceShowUserKeysOnly(boolean b)

### hasWorkspaceShowUserKeysOnly

    boolean hasWorkspaceShowUserKeysOnly()

### getZACPublishRoot

    java.lang.String getZACPublishRoot()
                                       throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setZACPublishRoot

    void setZACPublishRoot(java.lang.String s)

### hasZACPublishRoot

    boolean hasZACPublishRoot()

### getDomainLogEnabled

    boolean getDomainLogEnabled()
                                throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setDomainLogEnabled

    void setDomainLogEnabled(boolean b)

### hasDomainLogEnabled

    boolean hasDomainLogEnabled()

### getHTTPDEnabled

    boolean getHTTPDEnabled()
                            throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setHTTPDEnabled

    void setHTTPDEnabled(boolean b)

### hasHTTPDEnabled

    boolean hasHTTPDEnabled()

### getIIOPEnabled

    boolean getIIOPEnabled()
                           throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setIIOPEnabled

    void setIIOPEnabled(boolean b)

### hasIIOPEnabled

    boolean hasIIOPEnabled()

### getJ2EE12OnlyModeEnabled

    boolean getJ2EE12OnlyModeEnabled()
                                     throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setJ2EE12OnlyModeEnabled

    void setJ2EE12OnlyModeEnabled(boolean b)

### hasJ2EE12OnlyModeEnabled

    boolean hasJ2EE12OnlyModeEnabled()

### getJ2EE13WarningEnabled

    boolean getJ2EE13WarningEnabled()
                                    throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setJ2EE13WarningEnabled

    void setJ2EE13WarningEnabled(boolean b)

### hasJ2EE13WarningEnabled

    boolean hasJ2EE13WarningEnabled()

### getJDBCLoggingEnabled

    boolean getJDBCLoggingEnabled()
                                  throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setJDBCLoggingEnabled

    void setJDBCLoggingEnabled(boolean b)

### hasJDBCLoggingEnabled

    boolean hasJDBCLoggingEnabled()

### getJMSDefaultConnectionFactoriesEnabled

    boolean getJMSDefaultConnectionFactoriesEnabled()
                                                    throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setJMSDefaultConnectionFactoriesEnabled

    void setJMSDefaultConnectionFactoriesEnabled(boolean b)

### hasJMSDefaultConnectionFactoriesEnabled

    boolean hasJMSDefaultConnectionFactoriesEnabled()

### getTGIOPEnabled

    boolean getTGIOPEnabled()
                            throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setTGIOPEnabled

    void setTGIOPEnabled(boolean b)

### hasTGIOPEnabled

    boolean hasTGIOPEnabled()

### getTunnelingEnabled

    boolean getTunnelingEnabled()
                                throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setTunnelingEnabled

    void setTunnelingEnabled(boolean b)

### hasTunnelingEnabled

    boolean hasTunnelingEnabled()

### getZACEnabled

    boolean getZACEnabled()
                          throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setZACEnabled

    void setZACEnabled(boolean b)

### hasZACEnabled

    boolean hasZACEnabled()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD